# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit unpacker

CUDA_V="12"

DESCRIPTION="NVIDIA Accelerated Deep Learning on GPU library"
HOMEPAGE="https://developer.nvidia.com/cudnn"
SRC_URI="cudnn-linux-x86_64-${PV%%_*}_cuda${CUDA_V}-archive.tar.xz"
S="${WORKDIR}/cudnn-linux-x86_64-${PV%%_*}_cuda${CUDA_V}-archive"

LICENSE="NVIDIA-cuDNN"
SLOT="0/$(ver_cut 1)"
KEYWORDS="-* ~amd64 ~amd64-linux"
RESTRICT="mirror fetch"

RDEPEND="=dev-util/nvidia-cuda-toolkit-${CUDA_V}*"

QA_PREBUILT="/opt/cuda/targets/x86_64-linux/lib/*"

pkg_nofetch() {
	einfo "Please download ${A} from https://developer.nvidia.com/rdp/cudnn-archive"
	einfo "The archive should then be placed into your DISTDIR directory."
}

src_install() {
	insinto /opt/cuda/targets/x86_64-linux

	doins -r include lib
}
